From 0b28c5ba091662c286672d78dd382fd6d9fcc492 Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Mon, 12 Apr 2021 09:31:41 +0200
Subject: [PATCH 2/3] misc: apply isort (#52937)

---
 functests/cmis/conftest.py                    |  2 +-
 functests/cmis/tests_cmis.py                  |  3 +-
 functests/planitech/test_planitech.py         |  2 +-
 functests/toulouse_axel/test_toulouse_axel.py |  1 +
 functests/vivaticket/test_vivaticket.py       |  6 ++-
 passerelle/api/views.py                       |  3 +-
 passerelle/apps/actesweb/models.py            |  4 +-
 passerelle/apps/api_entreprise/models.py      | 12 +++---
 .../migrations/0001_initial.py                |  2 +-
 passerelle/apps/api_particulier/models.py     |  1 +
 passerelle/apps/arcgis/forms.py               |  1 +
 .../migrations/0005_auto_20200310_1517.py     |  3 +-
 .../migrations/0006_auto_20200401_1025.py     |  2 +-
 passerelle/apps/arcgis/models.py              |  8 ++--
 passerelle/apps/arcgis/views.py               |  2 +-
 passerelle/apps/arpege_ecp/models.py          |  8 ++--
 .../apps/astregs/migrations/0001_initial.py   |  2 +-
 passerelle/apps/astregs/models.py             |  8 ++--
 passerelle/apps/atal/models.py                |  4 +-
 .../atos_genesys/migrations/0001_initial.py   |  4 +-
 passerelle/apps/atos_genesys/models.py        |  4 +-
 passerelle/apps/atos_genesys/utils.py         |  2 +-
 .../base_adresse/migrations/0001_initial.py   |  2 +-
 .../migrations/0002_auto_20150705_0330.py     |  2 +-
 .../migrations/0003_baseaddresse_log_level.py |  2 +-
 .../migrations/0004_auto_20160316_0910.py     |  2 +-
 .../migrations/0005_auto_20160407_0456.py     |  2 +-
 .../0008_delete_updatestreetmodel.py          |  2 +-
 .../0009_streetmodel_simple_name.py           |  2 +-
 .../migrations/0010_auto_20160914_0826.py     |  2 +-
 .../migrations/0011_auto_20160919_0949.py     |  2 +-
 .../migrations/0015_auto_20191206_1244.py     |  3 +-
 .../migrations/0016_auto_20200130_1604.py     |  2 +-
 passerelle/apps/base_adresse/models.py        | 10 ++---
 .../apps/bdp/migrations/0001_initial.py       |  2 +-
 .../apps/bdp/migrations/0002_bdp_log_level.py |  2 +-
 .../bdp/migrations/0003_auto_20160316_0910.py |  2 +-
 .../bdp/migrations/0004_auto_20160407_0456.py |  2 +-
 passerelle/apps/bdp/models.py                 |  6 +--
 passerelle/apps/bdp/urls.py                   |  5 ++-
 passerelle/apps/bdp/views.py                  |  4 +-
 .../cartads_cs/migrations/0001_initial.py     |  1 +
 .../migrations/0002_cartadsdatacache.py       |  2 +-
 ...0004_cartadsdossier_cartads_steps_cache.py |  2 +-
 ...0011_cartadsdossier_cartads_cache_infos.py |  2 +-
 passerelle/apps/cartads_cs/models.py          | 15 +++-----
 .../apps/choosit/migrations/0001_initial.py   |  2 +-
 .../migrations/0002_auto_20160316_0528.py     |  2 +-
 .../migrations/0003_auto_20160316_0910.py     |  2 +-
 .../migrations/0004_auto_20160407_0456.py     |  2 +-
 ..._choositsmsgateway_default_trunk_prefix.py |  2 +-
 passerelle/apps/choosit/models.py             |  2 +-
 passerelle/apps/cityweb/cityweb.py            |  8 ++--
 passerelle/apps/cityweb/models.py             | 10 ++---
 .../apps/clicrdv/migrations/0001_initial.py   |  2 +-
 passerelle/apps/clicrdv/models.py             |  6 +--
 passerelle/apps/clicrdv/urls.py               |  5 +--
 passerelle/apps/clicrdv/views.py              |  5 +--
 .../apps/cmis/migrations/0001_initial.py      |  2 +-
 passerelle/apps/cmis/models.py                | 17 +++++----
 passerelle/apps/cmis/views.py                 |  1 -
 .../apps/cryptor/migrations/0001_initial.py   |  6 ++-
 passerelle/apps/cryptor/models.py             |  6 +--
 .../management/commands/change-csv.py         |  2 +-
 .../csvdatasource/migrations/0001_initial.py  |  2 +-
 .../0002_csvdatasource_log_level.py           |  2 +-
 .../migrations/0003_auto_20160316_0910.py     |  2 +-
 .../migrations/0004_auto_20160407_0456.py     |  2 +-
 .../0005_csvdatasource__dialect_options.py    |  2 +-
 .../migrations/0006_auto_20160905_1031.py     |  2 +-
 .../migrations/0009_auto_20161109_0353.py     |  2 +-
 .../migrations/0011_auto_20180905_0936.py     |  4 +-
 .../migrations/0016_auto_20200406_1702.py     |  2 +-
 .../migrations/0019_csv_upload_to.py          |  1 +
 .../migrations/0020_csv_upload_to.py          |  1 +
 passerelle/apps/csvdatasource/models.py       | 23 +++++-------
 passerelle/apps/csvdatasource/views.py        |  2 +-
 .../apps/esirius/migrations/0001_initial.py   |  1 +
 passerelle/apps/esirius/models.py             |  4 +-
 .../apps/family/loaders/concerto_fondettes.py |  4 +-
 .../apps/family/loaders/concerto_orleans.py   | 11 +++---
 .../apps/family/loaders/opus_fondettes.py     |  4 +-
 .../commands/import_orleans_data.py           |  6 +--
 .../apps/family/migrations/0001_initial.py    |  2 +-
 .../migrations/0007_auto_20161122_1816.py     |  3 +-
 passerelle/apps/family/models.py              | 12 +++---
 passerelle/apps/feeds/models.py               |  1 -
 .../apps/gdc/migrations/0001_initial.py       |  2 +-
 .../apps/gdc/migrations/0002_gdc_log_level.py |  2 +-
 .../gdc/migrations/0003_auto_20160316_0910.py |  2 +-
 .../gdc/migrations/0004_auto_20160407_0456.py |  2 +-
 passerelle/apps/gdc/urls.py                   |  5 ++-
 passerelle/apps/gdc/views.py                  |  4 +-
 .../apps/gesbac/migrations/0001_initial.py    |  5 ++-
 passerelle/apps/gesbac/models.py              |  8 ++--
 .../jsondatastore/migrations/0001_initial.py  |  3 +-
 passerelle/apps/jsondatastore/models.py       |  2 +-
 .../apps/maelis/migrations/0001_initial.py    |  2 +-
 passerelle/apps/maelis/models.py              |  9 ++---
 passerelle/apps/maelis/utils.py               |  4 +-
 passerelle/apps/mdel/mdel.py                  |  7 ++--
 .../migrations/0003_auto_20170125_0450.py     |  3 +-
 .../migrations/0006_auto_20210126_1440.py     |  1 +
 passerelle/apps/mdel/models.py                |  6 +--
 passerelle/apps/mdel_ddpacs/abstract.py       | 13 +++----
 .../mdel_ddpacs/migrations/0001_initial.py    |  5 ++-
 .../migrations/0002_auto_20200504_1402.py     |  1 +
 passerelle/apps/mdel_ddpacs/models.py         |  5 +--
 .../apps/mobyt/migrations/0001_initial.py     |  2 +-
 .../0002_mobytsmsgateway_log_level.py         |  2 +-
 .../migrations/0003_auto_20160316_0910.py     |  2 +-
 .../migrations/0004_auto_20160407_0456.py     |  2 +-
 ...05_mobytsmsgateway_default_trunk_prefix.py |  2 +-
 passerelle/apps/mobyt/models.py               |  3 +-
 passerelle/apps/opendatasoft/forms.py         |  1 +
 .../opendatasoft/migrations/0001_initial.py   |  3 +-
 passerelle/apps/opendatasoft/models.py        |  4 +-
 passerelle/apps/opendatasoft/views.py         |  2 +-
 passerelle/apps/opengis/forms.py              |  1 +
 .../migrations/0005_auto_20180227_1531.py     |  2 +-
 .../migrations/0007_auto_20200401_1032.py     |  2 +-
 .../opengis/migrations/0008_featurecache.py   |  4 +-
 passerelle/apps/opengis/models.py             |  6 +--
 passerelle/apps/opengis/views.py              |  2 +-
 .../apps/orange/migrations/0001_initial.py    |  2 +-
 .../0002_orangesmsgateway_log_level.py        |  2 +-
 .../migrations/0003_auto_20160316_0910.py     |  2 +-
 .../migrations/0004_auto_20160407_0456.py     |  2 +-
 passerelle/apps/orange/models.py              |  1 -
 .../apps/ovh/migrations/0001_initial.py       |  2 +-
 .../0002_ovhsmsgateway_log_level.py           |  2 +-
 .../ovh/migrations/0003_auto_20160316_0910.py |  2 +-
 .../ovh/migrations/0004_auto_20160407_0456.py |  2 +-
 ...0005_ovhsmsgateway_default_trunk_prefix.py |  2 +-
 passerelle/apps/ovh/models.py                 |  4 +-
 .../apps/oxyd/migrations/0001_initial.py      |  2 +-
 .../0002_oxydsmsgateway_log_level.py          |  2 +-
 .../migrations/0003_auto_20160316_0910.py     |  2 +-
 .../migrations/0004_auto_20160407_0456.py     |  2 +-
 ...005_oxydsmsgateway_default_trunk_prefix.py |  2 +-
 passerelle/apps/oxyd/models.py                |  3 +-
 .../phonecalls/migrations/0001_initial.py     |  4 +-
 passerelle/apps/phonecalls/models.py          |  6 +--
 passerelle/apps/photon/models.py              |  6 +--
 .../migrations/0003_auto_20171219_0800.py     |  1 +
 .../solis/migrations/0006_solisrsalink.py     |  2 +-
 passerelle/apps/solis/models.py               |  4 +-
 passerelle/apps/sp_fr/fields.py               |  4 +-
 passerelle/apps/sp_fr/forms.py                |  2 +-
 .../apps/sp_fr/migrations/0001_initial.py     |  5 ++-
 passerelle/apps/sp_fr/models.py               | 18 ++++-----
 passerelle/apps/sp_fr/views.py                |  6 +--
 passerelle/apps/sp_fr/xsd.py                  |  3 +-
 passerelle/apps/twilio/models.py              |  5 +--
 passerelle/base/admin.py                      |  4 +-
 passerelle/base/forms.py                      |  2 +-
 passerelle/base/management/commands/cron.py   |  3 +-
 .../base/management/commands/ensure_jsonb.py  |  2 +-
 passerelle/base/migrations/0001_initial.py    |  2 +-
 .../migrations/0002_auto_20151009_0326.py     |  2 +-
 .../migrations/0003_auto_20170116_1656.py     |  2 +-
 .../migrations/0004_auto_20170117_0326.py     |  2 +-
 .../base/migrations/0005_resourcelog.py       |  2 +-
 .../base/migrations/0007_loggingparameters.py |  2 +-
 .../migrations/0011_auto_20190205_1126.py     |  2 +-
 passerelle/base/migrations/0012_job.py        |  4 +-
 .../migrations/0014_auto_20190820_0914.py     |  1 +
 .../migrations/0015_auto_20190921_0347.py     |  1 +
 .../migrations/0017_auto_20200310_1806.py     |  3 +-
 passerelle/base/models.py                     | 26 ++++++-------
 passerelle/base/signature.py                  |  5 +--
 passerelle/base/templatetags/passerelle.py    |  9 +++--
 passerelle/base/urls.py                       | 10 ++---
 passerelle/base/views.py                      | 11 +++---
 passerelle/contrib/dpark/models.py            |  8 ++--
 .../contrib/fake_family/default_database.py   |  4 +-
 .../fake_family/migrations/0001_initial.py    |  2 +-
 .../migrations/0002_fakefamily_log_level.py   |  2 +-
 passerelle/contrib/fake_family/models.py      |  3 +-
 passerelle/contrib/gdema/models.py            |  2 +-
 passerelle/contrib/greco/models.py            | 15 +++-----
 passerelle/contrib/grenoble_gru/models.py     |  8 ++--
 .../iparapheur/migrations/0001_initial.py     |  2 +-
 .../migrations/0002_auto_20160406_1123.py     |  2 +-
 .../migrations/0003_iparapheur_log_level.py   |  2 +-
 passerelle/contrib/iparapheur/models.py       |  9 ++---
 passerelle/contrib/isere_ens/models.py        |  7 ++--
 passerelle/contrib/iws/models.py              |  7 ++--
 passerelle/contrib/lille_kimoce/models.py     |  5 +--
 .../contrib/mdph13/migrations/0001_initial.py |  2 +-
 passerelle/contrib/mdph13/models.py           |  9 ++---
 .../nancypoll/migrations/0001_initial.py      |  2 +-
 .../migrations/0004_csv_upload_to.py          |  1 +
 .../migrations/0005_csv_upload_to.py          |  1 +
 passerelle/contrib/nancypoll/models.py        |  3 +-
 .../0002_planitechconnector_custom_fields.py  |  2 +-
 .../planitech/migrations/0003_pairing.py      |  2 +-
 passerelle/contrib/planitech/models.py        |  6 +--
 passerelle/contrib/planitech/mste.py          |  3 +-
 passerelle/contrib/rsa13/models.py            |  3 +-
 passerelle/contrib/sigerly/models.py          |  1 -
 .../solis_apa/migrations/0001_initial.py      |  2 +-
 passerelle/contrib/solis_apa/models.py        |  9 ++---
 passerelle/contrib/solis_apa/suivi.py         |  2 +-
 passerelle/contrib/solis_apa/views.py         |  7 ++--
 passerelle/contrib/strasbourg_eu/models.py    |  2 +-
 passerelle/contrib/stub_invoices/models.py    |  4 +-
 passerelle/contrib/tcl/models.py              |  2 +-
 .../teamnet_axel/migrations/0001_initial.py   |  2 +-
 .../0002_management_billing_regies.py         |  2 +-
 .../migrations/0003_management_log_level.py   |  2 +-
 passerelle/contrib/teamnet_axel/models.py     |  6 +--
 passerelle/contrib/teamnet_axel/soap.py       |  4 +-
 .../toulouse_axel/migrations/0001_initial.py  |  2 +-
 .../migrations/0003_auto_20191205_0948.py     |  2 +-
 passerelle/contrib/toulouse_axel/models.py    |  4 +-
 passerelle/contrib/toulouse_axel/schemas.py   |  4 +-
 passerelle/contrib/toulouse_axel/utils.py     |  4 +-
 passerelle/plugins.py                         |  2 +-
 passerelle/settings.py                        |  5 ++-
 passerelle/sms/models.py                      |  1 -
 passerelle/soap.py                            |  2 +-
 passerelle/urls.py                            | 23 +++++-------
 passerelle/urls_utils.py                      |  3 +-
 passerelle/utils/__init__.py                  | 29 +++++++--------
 passerelle/utils/conversion.py                |  3 +-
 passerelle/utils/files.py                     |  4 +-
 passerelle/utils/http_authenticators.py       |  1 -
 passerelle/utils/json.py                      |  1 -
 passerelle/utils/jsonresponse.py              | 12 +++---
 passerelle/utils/paginator.py                 |  2 +-
 passerelle/utils/sftp.py                      | 16 ++++----
 passerelle/utils/soap.py                      |  4 +-
 passerelle/utils/templates.py                 |  3 +-
 passerelle/utils/wcs.py                       | 15 ++++----
 passerelle/utils/xml.py                       |  2 +-
 passerelle/utils/zip.py                       | 14 +++----
 passerelle/views.py                           | 37 +++++++++----------
 setup.py                                      |  6 +--
 tests/conftest.py                             | 11 +++---
 tests/test_actesweb.py                        |  5 +--
 tests/test_adict.py                           |  4 +-
 tests/test_airquality.py                      |  3 +-
 tests/test_api.py                             |  8 ++--
 tests/test_api_access.py                      | 12 +++---
 tests/test_api_entreprise.py                  |  9 ++---
 tests/test_api_particulier.py                 | 14 +++----
 tests/test_arcgis.py                          | 11 +++---
 tests/test_arcgis_nancy.py                    |  9 ++---
 tests/test_arpege_ecp.py                      |  5 +--
 tests/test_astregs.py                         | 14 +++----
 tests/test_atal.py                            |  8 ++--
 tests/test_atos_genesys.py                    |  6 +--
 tests/test_availability.py                    |  5 +--
 tests/test_base_adresse.py                    | 13 +++----
 tests/test_cartads_cs.py                      | 12 +++---
 tests/test_cityweb.py                         | 15 ++++----
 tests/test_clicrdv.py                         |  9 ++---
 tests/test_cmis.py                            | 31 ++++++++--------
 tests/test_cron.py                            |  1 -
 tests/test_cryptor.py                         |  9 ++---
 tests/test_csv_datasource.py                  | 22 +++++------
 tests/test_dpark.py                           | 12 +++---
 tests/test_ensure_jsonbfields.py              |  1 -
 tests/test_esirius.py                         |  7 ++--
 tests/test_fake_family.py                     |  2 +-
 tests/test_family.py                          | 34 +++++++++--------
 tests/test_feeds.py                           |  3 +-
 tests/test_gdema.py                           |  7 ++--
 tests/test_generic_endpoint.py                | 20 ++++++----
 tests/test_gesbac.py                          |  6 +--
 tests/test_grandlyon_streetsections.py        |  5 +--
 tests/test_greco.py                           | 10 ++---
 tests/test_grenoble_gru.py                    |  3 +-
 tests/test_import_export.py                   | 14 +++----
 tests/test_iparapheur.py                      | 18 ++++-----
 tests/test_isere_ens.py                       |  3 +-
 tests/test_iws.py                             |  4 +-
 tests/test_jobs.py                            | 13 ++-----
 tests/test_jsondatastore.py                   |  5 +--
 tests/test_jsonresponse.py                    |  6 +--
 tests/test_lille_kimoce.py                    |  3 +-
 tests/test_lille_urban_card.py                |  6 +--
 tests/test_maelis.py                          | 14 +++----
 tests/test_manager.py                         | 10 ++---
 tests/test_mdel.py                            | 12 +++---
 tests/test_mdel_ddpacs.py                     |  6 +--
 tests/test_mdph13.py                          | 10 ++---
 tests/test_misc.py                            | 12 +++---
 tests/test_nancypoll.py                       |  8 ++--
 tests/test_okina.py                           |  7 ++--
 tests/test_opendatasoft.py                    |  8 ++--
 tests/test_opengis.py                         | 10 ++---
 tests/test_orange.py                          |  7 +---
 tests/test_phonecalls.py                      |  8 ++--
 tests/test_photon.py                          | 10 ++---
 tests/test_planitech.py                       | 10 ++---
 tests/test_proxylogger.py                     | 14 +++----
 tests/test_requests.py                        | 14 +++----
 tests/test_rsa13.py                           |  1 -
 tests/test_sigerly.py                         |  4 +-
 tests/test_sms.py                             | 16 ++++----
 tests/test_soap.py                            |  7 ++--
 tests/test_solis.py                           |  5 +--
 tests/test_solis_afi_mss.py                   |  1 -
 tests/test_solis_apa.py                       | 10 ++---
 tests/test_strasbourg_eu.py                   |  8 ++--
 tests/test_tcl.py                             |  7 ++--
 tests/test_teamnet_axel.py                    |  6 +--
 tests/test_toulouse_axel.py                   | 23 +++++-------
 tests/test_toulouse_axel_schema.py            |  4 +-
 tests/test_toulouse_axel_utils.py             |  3 +-
 tests/test_utils_files.py                     |  2 +-
 tests/test_utils_json.py                      |  6 +--
 tests/test_utils_sftp.py                      |  3 +-
 tests/test_utils_xml.py                       |  7 ++--
 tests/test_utils_zip.py                       |  2 +-
 tests/test_vivaticket.py                      |  4 +-
 tests/utils.py                                |  5 +--
 tests/wcs/conftest.py                         | 19 +++++-----
 tests/wcs/test_conftest.py                    |  3 +-
 tests/wcs/test_sp_fr.py                       |  8 ++--
 322 files changed, 807 insertions(+), 950 deletions(-)

diff --git a/passerelle/api/views.py b/passerelle/api/views.py
index 0124b805..edf7e073 100644
--- a/passerelle/api/views.py
+++ b/passerelle/api/views.py
@@ -10,18 +10,17 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.core.exceptions import PermissionDenied
-from django.http import Http404
-from django.http import JsonResponse
+from django.http import Http404, JsonResponse
 from django.views.generic import DetailView
 
 from passerelle.base.models import Job
 from passerelle.utils import is_authorized
 
 
 class JobDetailView(DetailView):
     model = Job
diff --git a/passerelle/apps/api_entreprise/models.py b/passerelle/apps/api_entreprise/models.py
index be6c8723..5d127028 100644
--- a/passerelle/apps/api_entreprise/models.py
+++ b/passerelle/apps/api_entreprise/models.py
@@ -13,26 +13,24 @@
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 '''Gateway to API-Entreprise web-service from SGMAP:
    https://entreprise.api.gouv.fr
 '''
 
-from six.moves.urllib_parse import urljoin
 import requests
-
-
-from django.db import models
-from django.utils.translation import ugettext_lazy as _
-from django.utils.timezone import datetime, make_aware, timedelta
-from django.http import HttpResponse, Http404
 from django.core import signing
+from django.db import models
+from django.http import Http404, HttpResponse
 from django.urls import reverse
+from django.utils.timezone import datetime, make_aware, timedelta
+from django.utils.translation import ugettext_lazy as _
+from six.moves.urllib_parse import urljoin
 
 from passerelle.base.models import BaseResource
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError, exception_to_text
 from passerelle.views import WrongParameter
 
 DOCUMENT_SIGNATURE_MAX_AGE = timedelta(days=7)
 
diff --git a/passerelle/apps/api_particulier/migrations/0001_initial.py b/passerelle/apps/api_particulier/migrations/0001_initial.py
index 8e5b5498..64e0b031 100644
--- a/passerelle/apps/api_particulier/migrations/0001_initial.py
+++ b/passerelle/apps/api_particulier/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0002_auto_20151009_0326'),
     ]
 
diff --git a/passerelle/apps/arcgis/models.py b/passerelle/apps/arcgis/models.py
index 0b7fbb31..0dde6976 100644
--- a/passerelle/apps/arcgis/models.py
+++ b/passerelle/apps/arcgis/models.py
@@ -12,31 +12,31 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import string
 
 from django.core.exceptions import ValidationError
-from django.urls import reverse
 from django.db import models
 from django.http import HttpResponse
 from django.shortcuts import get_object_or_404
-from django.utils.six.moves.urllib import parse as urlparse
+from django.urls import reverse
 from django.utils import six
+from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.text import slugify
 from django.utils.translation import ugettext_lazy as _
 
+from passerelle.base.models import BaseQuery, BaseResource, HTTPResource
 from passerelle.utils import mark_safe_lazy
-from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.api import endpoint
 from passerelle.utils.conversion import num2deg
+from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.templates import render_to_string, validate_template
-from passerelle.base.models import BaseResource, HTTPResource, BaseQuery
 
 
 class ArcGISError(APIError):
     pass
 
 
 class ArcGIS(BaseResource, HTTPResource):
     category = _('Geographic information system')
diff --git a/passerelle/apps/arcgis/views.py b/passerelle/apps/arcgis/views.py
index a4778665..8d4d1f33 100644
--- a/passerelle/apps/arcgis/views.py
+++ b/passerelle/apps/arcgis/views.py
@@ -9,17 +9,17 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.views.generic import UpdateView, CreateView, DeleteView
+from django.views.generic import CreateView, DeleteView, UpdateView
 
 from passerelle.base.mixins import ResourceChildViewMixin
 
 from . import models
 from .forms import QueryForm
 
 
 class QueryNew(ResourceChildViewMixin, CreateView):
diff --git a/passerelle/apps/arpege_ecp/models.py b/passerelle/apps/arpege_ecp/models.py
index 6b396626..fd54d011 100644
--- a/passerelle/apps/arpege_ecp/models.py
+++ b/passerelle/apps/arpege_ecp/models.py
@@ -11,24 +11,22 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import json
 
-from requests import RequestException
-
 from django.db import models
-from django.utils import six
+from django.utils import six, timezone
+from django.utils.dateparse import parse_date, parse_time
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.translation import ugettext_lazy as _
-from django.utils.dateparse import parse_date, parse_time
-from django.utils import timezone
+from requests import RequestException
 
 from passerelle.base.models import BaseResource
 from passerelle.utils.api import endpoint
 from passerelle.utils.http_authenticators import HawkAuth
 from passerelle.utils.jsonresponse import APIError
 
 
 class ArpegeECP(BaseResource):
diff --git a/passerelle/apps/base_adresse/migrations/0001_initial.py b/passerelle/apps/base_adresse/migrations/0001_initial.py
index 997a3277..baa9b316 100644
--- a/passerelle/apps/base_adresse/migrations/0001_initial.py
+++ b/passerelle/apps/base_adresse/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0002_auto_20150705_0330.py b/passerelle/apps/base_adresse/migrations/0002_auto_20150705_0330.py
index 9626bd98..6add7cc4 100644
--- a/passerelle/apps/base_adresse/migrations/0002_auto_20150705_0330.py
+++ b/passerelle/apps/base_adresse/migrations/0002_auto_20150705_0330.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0003_baseaddresse_log_level.py b/passerelle/apps/base_adresse/migrations/0003_baseaddresse_log_level.py
index 753baea6..9a594fdb 100644
--- a/passerelle/apps/base_adresse/migrations/0003_baseaddresse_log_level.py
+++ b/passerelle/apps/base_adresse/migrations/0003_baseaddresse_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0002_auto_20150705_0330'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0004_auto_20160316_0910.py b/passerelle/apps/base_adresse/migrations/0004_auto_20160316_0910.py
index 37f4b239..6a100402 100644
--- a/passerelle/apps/base_adresse/migrations/0004_auto_20160316_0910.py
+++ b/passerelle/apps/base_adresse/migrations/0004_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0003_baseaddresse_log_level'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0005_auto_20160407_0456.py b/passerelle/apps/base_adresse/migrations/0005_auto_20160407_0456.py
index 52410033..1bdde0b6 100644
--- a/passerelle/apps/base_adresse/migrations/0005_auto_20160407_0456.py
+++ b/passerelle/apps/base_adresse/migrations/0005_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0004_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0008_delete_updatestreetmodel.py b/passerelle/apps/base_adresse/migrations/0008_delete_updatestreetmodel.py
index 44d85990..ea591e12 100644
--- a/passerelle/apps/base_adresse/migrations/0008_delete_updatestreetmodel.py
+++ b/passerelle/apps/base_adresse/migrations/0008_delete_updatestreetmodel.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0007_auto_20160729_1540'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0009_streetmodel_simple_name.py b/passerelle/apps/base_adresse/migrations/0009_streetmodel_simple_name.py
index bd99efca..95ea1faf 100644
--- a/passerelle/apps/base_adresse/migrations/0009_streetmodel_simple_name.py
+++ b/passerelle/apps/base_adresse/migrations/0009_streetmodel_simple_name.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0008_delete_updatestreetmodel'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0010_auto_20160914_0826.py b/passerelle/apps/base_adresse/migrations/0010_auto_20160914_0826.py
index 6a2a7a1b..c3c6b540 100644
--- a/passerelle/apps/base_adresse/migrations/0010_auto_20160914_0826.py
+++ b/passerelle/apps/base_adresse/migrations/0010_auto_20160914_0826.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0009_streetmodel_simple_name'),
     ]
 
diff --git a/passerelle/apps/base_adresse/migrations/0011_auto_20160919_0949.py b/passerelle/apps/base_adresse/migrations/0011_auto_20160919_0949.py
index 181f6b7b..709bda0d 100644
--- a/passerelle/apps/base_adresse/migrations/0011_auto_20160919_0949.py
+++ b/passerelle/apps/base_adresse/migrations/0011_auto_20160919_0949.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base_adresse', '0010_auto_20160914_0826'),
     ]
 
diff --git a/passerelle/apps/base_adresse/models.py b/passerelle/apps/base_adresse/models.py
index c9a0a903..69da1060 100644
--- a/passerelle/apps/base_adresse/models.py
+++ b/passerelle/apps/base_adresse/models.py
@@ -1,23 +1,21 @@
 import datetime
 import gzip
 
-from requests import RequestException
-from requests.exceptions import ConnectionError
-
 from django.contrib.postgres.fields import JSONField
 from django.db import connection, models
 from django.db.models import Q
+from django.utils import six, timezone
 from django.utils.http import urlencode
-from django.utils.translation import ugettext_lazy as _
-from django.utils import timezone
-from django.utils import six
 from django.utils.six import StringIO
 from django.utils.six.moves.urllib import parse as urlparse
+from django.utils.translation import ugettext_lazy as _
+from requests import RequestException
+from requests.exceptions import ConnectionError
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
 from passerelle.utils.api import endpoint
 from passerelle.utils.conversion import simplify
 from passerelle.utils.jsonresponse import APIError
 
 
